Skip to main content
GET
/
api
/
stratus
/
subscriptions
/
{id}
/
events
Get subscription events by subscription id
curl --request GET \
  --url https://admin.snagsolutions.io/api/stratus/subscriptions/{id}/events \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "triggeredAt": "<string>",
      "functionRun": {
        "id": "<string>",
        "runId": "<string>",
        "status": "<string>",
        "output": "<string>"
      },
      "callback": {
        "response": "<string>"
      },
      "event": {
        "blockNumber": "<string>",
        "txHash": "<string>",
        "eventKey": "<string>",
        "contractAddress": "<string>",
        "detectedAt": "<string>"
      }
    }
  ],
  "hasNextPage": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Query Parameters

cursor
string
startingAfter
string
limit
integer
default:10
Required range: 1 <= x <= 100

Response

200

data
object[]
required
hasNextPage
boolean
required